From aa3cf7e7962332d238249328d9cac5bfc047aaf5 Mon Sep 17 00:00:00 2001
Message-Id: <aa3cf7e7962332d238249328d9cac5bfc047aaf5.1706655404.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Tue, 30 Jan 2024 22:44:57 +0000
Subject: [PATCH] gnu: Add r-hmmcopy.

* gnu/packages/bioconductor.scm (r-hmmcopy): New variable.

Change-Id: Iface547e865609427c356277edc904f3aec386d8
---
 gnu/packages/bioconductor.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index de0005b523..0a9419cc3e 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2021 Tim Howes <timhowes@lavabit.com>
 ;;; Copyright © 2021 Nicolas Vallet <nls.vallet@gmail.com>
 ;;; Copyright © 2023 Navid Afkhami <Navid.Afkhami@mdc-berlin.de>
+;;; Copyright © 2024 Spencer King <spencer.king@geneoscopy.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -14113,6 +14114,29 @@ (define-public r-dnacopy
 abnormal copy number.")
     (license license:gpl2+)))
 
+(define-public r-hmmcopy
+  (package
+    (name "r-hmmcopy")
+    (version "1.44.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (bioconductor-uri "HMMcopy" version))
+       (sha256
+        (base32 "1nhm8bv6p5zcs7f9p1hqzyjgya6v3q8rl13blh135pk9gxjiad2c"))))
+    (properties `((upstream-name . "HMMcopy")))
+    (build-system r-build-system)
+    (propagated-inputs (list r-data-table))
+    (home-page "https://bioconductor.org/packages/HMMcopy")
+    (synopsis
+     "Copy number prediction with correction for GC and mappability bias for HTS data")
+    (description
+     "Corrects GC and mappability biases for readcounts (i.e.  coverage) in
+non-overlapping windows of fixed length for single whole genome samples,
+yielding a rough estimate of copy number for furthur analysis.  Designed for
+rapid correction of high coverage whole genome tumour and normal samples.")
+    (license license:gpl3)))
+
 ;; This is a CRAN package, but it uncharacteristically depends on a
 ;; Bioconductor package.
 (define-public r-htscluster

base-commit: bed3a0b547a59f63b545db165e76ddd9af8bba1a
-- 
2.34.1

